Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class SeriesInfo

    java.lang.Object
      jet.report.xls.SeriesInfo

Direct Known Subclasses:
  Series2VInfo

    public class SeriesInfo

extends java.lang.Object

Constructor Summary
`SeriesInfo()`
`SeriesInfo(int num, java.lang.String name, java.lang.String text, java.lang.String valueRef, SeriesPattern[] seriesPatterns)` Constructs class SeriesInfo and sets its fields appropriately.
`SeriesInfo(java.lang.String text, double[] values, SeriesPattern[] seriesPatterns)` Constructs class SeriesInfo and sets its fields appropriately.

Method Summary
`java.lang.String` | `getName()` Get the reference of the series name
`int` | `getNum()` Get the number of values in the series
`SeriesPattern[]` | `getSeriesPatterns()` Get the series patterns.
`java.lang.String` | `getText()` Get the text of the series name, such as "sum"
`java.lang.String` | `getValueRef()` Get the reference of the series values, such as "sheet1!a1:d1".
`double[]` | `getValues()` Get the series values.
`void` | `setName(java.lang.String name)` Set the reference of the series name, such as "sheet1!a1".
`void` | `setNum(int num)` Set the number of values in the series
`void` | `setSeriesPatterns(SeriesPattern[] seriesPatterns)` Set the series patterns.
`void` | `setText(java.lang.String text)` Set the text of the series name, such as "sum"
`void` | `setValueRef(java.lang.String valueRef)` Set the reference of the series values, such as "sheet1!b1:d1".
`void` | `setValues(double[] values)` Set the series values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeriesInfo

    public SeriesInfo()

### SeriesInfo

    public SeriesInfo(int num,
                      java.lang.String name,
                      java.lang.String text,
                      java.lang.String valueRef,
                      SeriesPattern[] seriesPatterns)

  Constructs class SeriesInfo and sets its fields appropriately.

  Parameters:
    `num` - number of the value in this series
    `name` - The reference of the series name, such as "sheet1!a1".
    `text` - Text of the series
    `valueRef` - Reference of the series values, such as "sheet1!b1:d1".
    `seriesPatterns` - The series patterns array

### SeriesInfo

    public SeriesInfo(java.lang.String text,
                      double[] values,
                      SeriesPattern[] seriesPatterns)

  Constructs class SeriesInfo and sets its fields appropriately.

  Parameters:
    `num` - number of the value in this series
    `text` - Text of the series
    `values` - array of values of the series
    `seriesPatterns` - The series patterns array

Method Detail

### setNum

    public void setNum(int num)

  Set the number of values in the series

  Parameters:
    `num` - the number of values in the series

### getNum

    public int getNum()

  Get the number of values in the series

  Returns:
    the number of values in the series

### setName

    public void setName(java.lang.String name)

  Set the reference of the series name, such as "sheet1!a1".

### getName

    public java.lang.String getName()

  Get the reference of the series name

  Returns:
    The reference of the series name

### setText

    public void setText(java.lang.String text)

  Set the text of the series name, such as "sum"

  Parameters:
    `text` - The text of the series name

### getText

    public java.lang.String getText()

  Get the text of the series name, such as "sum"

  Returns:
    The text of the series name

### setValueRef

    public void setValueRef(java.lang.String valueRef)

  Set the reference of the series values, such as "sheet1!b1:d1".

### getValueRef

    public java.lang.String getValueRef()

  Get the reference of the series values, such as "sheet1!a1:d1".

### setValues

    public void setValues(double[] values)

  Set the series values.

### getValues

    public double[] getValues()

  Get the series values.

  Returns:
    The series values

### setSeriesPatterns

    public void setSeriesPatterns(SeriesPattern[] seriesPatterns)

  Set the series patterns.

### getSeriesPatterns

    public SeriesPattern[] getSeriesPatterns()

  Get the series patterns.

  Returns:
    The series patterns array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD